Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZDFSFileHandlerMySQLiBackend Member List

This is the complete list of members for eZDFSFileHandlerMySQLiBackend, including all inherited members.

$cacheDir | eZDFSFileHandlerMySQLiBackend | protected
$db | eZDFSFileHandlerMySQLiBackend |
$dbparams | eZDFSFileHandlerMySQLiBackend | protected static
$dfsbackend | eZDFSFileHandlerMySQLiBackend | protected
$eventHandler | eZDFSFileHandlerMySQLiBackend | protected
$maxCopyTries | eZDFSFileHandlerMySQLiBackend | protected
$metaDataTable | eZDFSFileHandlerMySQLiBackend | protected
$metaDataTableCache | eZDFSFileHandlerMySQLiBackend | protected
$numQueries | eZDFSFileHandlerMySQLiBackend | protected
$storageDir | eZDFSFileHandlerMySQLiBackend | protected
$transactionCount | eZDFSFileHandlerMySQLiBackend | protected
__construct() | eZDFSFileHandlerMySQLiBackend |
__mkdir_p( $dir) | eZDFSFileHandlerMySQLiBackend | protected
_abortCacheGeneration( $generatingFilePath) | eZDFSFileHandlerMySQLiBackend |
_begin( $fname=false) | eZDFSFileHandlerMySQLiBackend | protected
_checkCacheGenerationTimeout( $generatingFilePath, $generatingFileMtime) | eZDFSFileHandlerMySQLiBackend |
_commit( $fname=false) | eZDFSFileHandlerMySQLiBackend | protected
_connect() | eZDFSFileHandlerMySQLiBackend |
_copy( $srcFilePath, $dstFilePath, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_copyInner( $srcFilePath, $dstFilePath, $fname, $metaData) | eZDFSFileHandlerMySQLiBackend | private
_delete( $filePath, $insideOfTransaction=false, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_deleteByDirList( $dirList, $commonPath, $commonSuffix, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_deleteByDirListInner( $dirList, $commonPath, $commonSuffix, $fname) | eZDFSFileHandlerMySQLiBackend | protected
_deleteByLike( $like, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_deleteByLikeInner( $like, $fname) | eZDFSFileHandlerMySQLiBackend | private
_deleteByWildcard( $wildcard, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_deleteByWildcardInner( $wildcard, $fname) | eZDFSFileHandlerMySQLiBackend | protected
_deleteInner( $filePath, $fname) | eZDFSFileHandlerMySQLiBackend | protected
_die( $msg, $sql=null) | eZDFSFileHandlerMySQLiBackend | protected
_disconnect() | eZDFSFileHandlerMySQLiBackend |
_endCacheGeneration( $filePath, $generatingFilePath, $rename) | eZDFSFileHandlerMySQLiBackend |
_error( $query, $fname, $error="Failed to execute SQL for function:") | eZDFSFileHandlerMySQLiBackend | protected
_exists( $filePath, $fname=false, $ignoreExpiredFiles=true, $checkOnDFS=false) | eZDFSFileHandlerMySQLiBackend |
_fail( $value, $text=false) | eZDFSFileHandlerMySQLiBackend | protected
_fetch( $filePath, $uniqueName=false) | eZDFSFileHandlerMySQLiBackend |
_fetchContents( $filePath, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_fetchMetadata( $filePath, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_getFileList( $scopes=false, $excludeScopes=false, $limit=false, $path=false) | eZDFSFileHandlerMySQLiBackend |
_handleErrorType( $res) | eZDFSFileHandlerMySQLiBackend | protected
_insert( $table, $array, $fname) | eZDFSFileHandlerMySQLiBackend |
_insertUpdate( $table, $array, $update, $fname, $reportError=true) | eZDFSFileHandlerMySQLiBackend | protected
_isFailure( $result) | eZDFSFileHandlerMySQLiBackend | protected
_linkCopy( $srcPath, $dstPath, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_md5( $value) | eZDFSFileHandlerMySQLiBackend | protected
_passThrough( $filePath, $startOffset=0, $length=false, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_protect() | eZDFSFileHandlerMySQLiBackend | protected
_purge( $filePath, $onlyExpired=false, $expiry=false, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_purgeByLike( $like, $onlyExpired=false, $limit=50, $expiry=false, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_query( $query, $fname=false, $reportError=true) | eZDFSFileHandlerMySQLiBackend | protected
_quote( $value, $escapeUnderscoreWildcards=false) | eZDFSFileHandlerMySQLiBackend | protected
_rename( $srcFilePath, $dstFilePath) | eZDFSFileHandlerMySQLiBackend |
_report( $query, $fname, $timeTaken, $numRows=false) | eZDFSFileHandlerMySQLiBackend |
_rollback( $fname=false) | eZDFSFileHandlerMySQLiBackend | protected
_selectOne( $query, $fname, $error=false, $debug=false, $fetchCall) | eZDFSFileHandlerMySQLiBackend | protected
_selectOneAssoc( $query, $fname, $error=false, $debug=false) | eZDFSFileHandlerMySQLiBackend | protected
_selectOneRow( $query, $fname, $error=false, $debug=false) | eZDFSFileHandlerMySQLiBackend | protected
_sqlList( $array) | eZDFSFileHandlerMySQLiBackend | protected
_startCacheGeneration( $filePath, $generatingFilePath) | eZDFSFileHandlerMySQLiBackend |
_store( $filePath, $datatype, $scope, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_storeContents( $filePath, $contents, $scope, $datatype, $mtime=false, $fname=false) | eZDFSFileHandlerMySQLiBackend |
_storeContentsInner( $filePath, $contents, $scope, $datatype, $curTime, $fname) | eZDFSFileHandlerMySQLiBackend |
_storeInner( $filePath, $datatype, $scope, $fname) | eZDFSFileHandlerMySQLiBackend |
applyServerUri( $filePath) | eZDFSFileHandlerMySQLiBackend |
dbTable( $filePath) | eZDFSFileHandlerMySQLiBackend | protected
deleteCacheFiles( $limit) | eZDFSFileHandlerMySQLiBackend |
expiredFilesList( $scopes, $limit=array(0, 100), $expiry=false) | eZDFSFileHandlerMySQLiBackend |
mkdir_p( $dir) | eZDFSFileHandlerMySQLiBackend | private
nameTrunk( $filePath, $scope) | eZDFSFileHandlerMySQLiBackend | protected static
registerListener(eZClusterEventListener $listener) | eZDFSFileHandlerMySQLiBackend |
remainingCacheGenerationTime( $row) | eZDFSFileHandlerMySQLiBackend | protected
TIME_UNTIL_RETRY | eZDFSFileHandlerMySQLiBackend |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.